Package org.eclipse.microprofile.config.tck

## Class ArrayConverterBean

- java.lang.Object
- - org.eclipse.microprofile.config.tck.ArrayConverterBean

    @Dependent
    public class ArrayConverterBean
    extends Object

### Constructor Summary

Constructors
`ArrayConverterBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean[]` `getMybooleanArray()`
`Boolean[]` `getMyBooleanArray()`
`List<Boolean>` `getMyBooleanList()`
`Set<Boolean>` `getMyBooleanSet()`
`double[]` `getMydoubleArray()`
`Double[]` `getMyDoubleArray()`
`List<Double>` `getMyDoubleList()`
`Set<Double>` `getMyDoubleSet()`
`Duration[]` `getMyDurationArray()`
`List<Duration>` `getMyDurationList()`
`Set<Duration>` `getMyDurationSet()`
`float[]` `getMyfloatArray()`
`Float[]` `getMyFloatArray()`
`List<Float>` `getMyFloatList()`
`Set<Float>` `getMyFloatSet()`
`Instant[]` `getMyInstantArray()`
`List<Instant>` `getMyInstantList()`
`Set<Instant>` `getMyInstantSet()`
`int[]` `getMyintArray()`
`Integer[]` `getMyIntegerArray()`
`List<Integer>` `getMyIntegerList()`
`Set<Integer>` `getMyIntegerSet()`
`LocalDate[]` `getMyLocalDateArray()`
`List<LocalDate>` `getMyLocalDateList()`
`Set<LocalDate>` `getMyLocalDateSet()`
`LocalDateTime[]` `getMyLocalDateTimeArray()`
`List<LocalDateTime>` `getMyLocalDateTimeList()`
`Set<LocalDateTime>` `getMyLocalDateTimeSet()`
`LocalTime[]` `getMyLocaltimeArray()`
`List<LocalTime>` `getMyLocalTimeList()`
`Set<LocalTime>` `getMyLocalTimeSet()`
`long[]` `getMylongArray()`
`Long[]` `getMyLongArray()`
`List<Long>` `getMyLongList()`
`Set<Long>` `getMyLongSet()`
`OffsetDateTime[]` `getMyOffsetDateTimeArray()`
`List<OffsetDateTime>` `getMyOffsetDateTimeList()`
`Set<OffsetDateTime>` `getMyOffsetDateTimeSet()`
`OffsetTime[]` `getMyOffsetTimeArray()`
`List<OffsetTime>` `getMyOffsetTimeList()`
`Set<OffsetTime>` `getMyOffsetTimeSet()`
`Pizza[]` `getMyPizzaArray()`
`List<Pizza>` `getMyPizzaList()`
`Set<Pizza>` `getMyPizzaSet()`
`boolean[]` `getMySinglebooleanArray()`
`Boolean[]` `getMySingleBooleanArray()`
`List<Boolean>` `getMySingleBooleanList()`
`Set<Boolean>` `getMySingleBooleanSet()`
`double[]` `getMySingledoubleArray()`
`Double[]` `getMySingleDoubleArray()`
`List<Double>` `getMySingleDoubleList()`
`Set<Double>` `getMySingleDoubleSet()`
`Duration[]` `getMySingleDurationArray()`
`List<Duration>` `getMySingleDurationList()`
`Set<Duration>` `getMySingleDurationSet()`
`float[]` `getMySinglefloatArray()`
`Float[]` `getMySingleFloatArray()`
`List<Float>` `getMySingleFloatList()`
`Set<Float>` `getMySingleFloatSet()`
`Instant[]` `getMySingleInstantArray()`
`List<Instant>` `getMySingleInstantList()`
`Set<Instant>` `getMySingleInstantSet()`
`int[]` `getMySingleintArray()`
`Integer[]` `getMySingleIntegerArray()`
`List<Integer>` `getMySingleIntegerList()`
`Set<Integer>` `getMySingleIntegerSet()`
`LocalDate[]` `getMySingleLocalDateArray()`
`List<LocalDate>` `getMySingleLocalDateList()`
`Set<LocalDate>` `getMySingleLocalDateSet()`
`LocalDateTime[]` `getMySingleLocalDateTimeArray()`
`List<LocalDateTime>` `getMySingleLocalDateTimeList()`
`Set<LocalDateTime>` `getMySingleLocalDateTimeSet()`
`LocalTime[]` `getMySingleLocaltimeArray()`
`List<LocalTime>` `getMySingleLocalTimeList()`
`Set<LocalTime>` `getMySingleLocalTimeSet()`
`long[]` `getMySinglelongArray()`
`Long[]` `getMySingleLongArray()`
`List<Long>` `getMySingleLongList()`
`Set<Long>` `getMySingleLongSet()`
`OffsetDateTime[]` `getMySingleOffsetDateTimeArray()`
`List<OffsetDateTime>` `getMySingleOffsetDateTimeList()`
`Set<OffsetDateTime>` `getMySingleOffsetDateTimeSet()`
`OffsetTime[]` `getMySingleOffsetTimeArray()`
`List<OffsetTime>` `getMySingleOffsetTimeList()`
`Set<OffsetTime>` `getMySingleOffsetTimeSet()`
`Pizza[]` `getMySinglePizzaArray()`
`List<Pizza>` `getMySinglePizzaList()`
`Set<Pizza>` `getMySinglePizzaSet()`
`String[]` `getMySingleStringArray()`
`List<String>` `getMySingleStringList()`
`Set<String>` `getMySingleStringSet()`
`URI[]` `getMySingleUriArray()`
`List<URI>` `getMySingleUriList()`
`Set<URI>` `getMySingleUriSet()`
`URL[]` `getMySingleUrlArray()`
`List<URL>` `getMySingleUrlList()`
`Set<URL>` `getMySingleUrlSet()`
`String[]` `getMyStringArray()`
`List<String>` `getMyStringList()`
`Set<String>` `getMyStringSet()`
`URI[]` `getMyUriArray()`
`List<URI>` `getMyUriList()`
`Set<URI>` `getMyUriSet()`
`URL[]` `getMyUrlArray()`
`List<URL>` `getMyUrlList()`
`Set<URL>` `getMyUrlSet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayConverterBean

    public ArrayConverterBean()

### Method Detail

#### getMyBooleanArray

    public Boolean[] getMyBooleanArray()

#### getMybooleanArray

    public boolean[] getMybooleanArray()

#### getMyBooleanList

    public List<Boolean> getMyBooleanList()

#### getMyBooleanSet

    public Set<Boolean> getMyBooleanSet()

#### getMySingleBooleanArray

    public Boolean[] getMySingleBooleanArray()

#### getMySinglebooleanArray

    public boolean[] getMySinglebooleanArray()

#### getMySingleBooleanList

    public List<Boolean> getMySingleBooleanList()

#### getMySingleBooleanSet

    public Set<Boolean> getMySingleBooleanSet()

#### getMyStringArray

    public String[] getMyStringArray()

#### getMyStringList

    public List<String> getMyStringList()

#### getMyStringSet

    public Set<String> getMyStringSet()

#### getMySingleStringArray

    public String[] getMySingleStringArray()

#### getMySingleStringList

    public List<String> getMySingleStringList()

#### getMySingleStringSet

    public Set<String> getMySingleStringSet()

#### getMyIntegerArray

    public Integer[] getMyIntegerArray()

#### getMyintArray

    public int[] getMyintArray()

#### getMyIntegerList

    public List<Integer> getMyIntegerList()

#### getMyIntegerSet

    public Set<Integer> getMyIntegerSet()

#### getMySingleIntegerArray

    public Integer[] getMySingleIntegerArray()

#### getMySingleintArray

    public int[] getMySingleintArray()

#### getMySingleIntegerList

    public List<Integer> getMySingleIntegerList()

#### getMySingleIntegerSet

    public Set<Integer> getMySingleIntegerSet()

#### getMyLongArray

    public Long[] getMyLongArray()

#### getMylongArray

    public long[] getMylongArray()

#### getMyLongList

    public List<Long> getMyLongList()

#### getMyLongSet

    public Set<Long> getMyLongSet()

#### getMySingleLongArray

    public Long[] getMySingleLongArray()

#### getMySinglelongArray

    public long[] getMySinglelongArray()

#### getMySingleLongList

    public List<Long> getMySingleLongList()

#### getMySingleLongSet

    public Set<Long> getMySingleLongSet()

#### getMyFloatArray

    public Float[] getMyFloatArray()

#### getMyfloatArray

    public float[] getMyfloatArray()

#### getMyFloatList

    public List<Float> getMyFloatList()

#### getMyFloatSet

    public Set<Float> getMyFloatSet()

#### getMySingleFloatArray

    public Float[] getMySingleFloatArray()

#### getMySinglefloatArray

    public float[] getMySinglefloatArray()

#### getMySingleFloatList

    public List<Float> getMySingleFloatList()

#### getMySingleFloatSet

    public Set<Float> getMySingleFloatSet()

#### getMyDoubleArray

    public Double[] getMyDoubleArray()

#### getMydoubleArray

    public double[] getMydoubleArray()

#### getMyDoubleList

    public List<Double> getMyDoubleList()

#### getMyDoubleSet

    public Set<Double> getMyDoubleSet()

#### getMySingleDoubleArray

    public Double[] getMySingleDoubleArray()

#### getMySingledoubleArray

    public double[] getMySingledoubleArray()

#### getMySingleDoubleList

    public List<Double> getMySingleDoubleList()

#### getMySingleDoubleSet

    public Set<Double> getMySingleDoubleSet()

#### getMyDurationArray

    public Duration[] getMyDurationArray()

#### getMyDurationList

    public List<Duration> getMyDurationList()

#### getMyDurationSet

    public Set<Duration> getMyDurationSet()

#### getMySingleDurationArray

    public Duration[] getMySingleDurationArray()

#### getMySingleDurationList

    public List<Duration> getMySingleDurationList()

#### getMySingleDurationSet

    public Set<Duration> getMySingleDurationSet()

#### getMyLocaltimeArray

    public LocalTime[] getMyLocaltimeArray()

#### getMyLocalTimeList

    public List<LocalTime> getMyLocalTimeList()

#### getMyLocalTimeSet

    public Set<LocalTime> getMyLocalTimeSet()

#### getMySingleLocaltimeArray

    public LocalTime[] getMySingleLocaltimeArray()

#### getMySingleLocalTimeList

    public List<LocalTime> getMySingleLocalTimeList()

#### getMySingleLocalTimeSet

    public Set<LocalTime> getMySingleLocalTimeSet()

#### getMyLocalDateArray

    public LocalDate[] getMyLocalDateArray()

#### getMyLocalDateList

    public List<LocalDate> getMyLocalDateList()

#### getMyLocalDateSet

    public Set<LocalDate> getMyLocalDateSet()

#### getMySingleLocalDateArray

    public LocalDate[] getMySingleLocalDateArray()

#### getMySingleLocalDateList

    public List<LocalDate> getMySingleLocalDateList()

#### getMySingleLocalDateSet

    public Set<LocalDate> getMySingleLocalDateSet()

#### getMyLocalDateTimeArray

    public LocalDateTime[] getMyLocalDateTimeArray()

#### getMyLocalDateTimeList

    public List<LocalDateTime> getMyLocalDateTimeList()

#### getMyLocalDateTimeSet

    public Set<LocalDateTime> getMyLocalDateTimeSet()

#### getMySingleLocalDateTimeArray

    public LocalDateTime[] getMySingleLocalDateTimeArray()

#### getMySingleLocalDateTimeList

    public List<LocalDateTime> getMySingleLocalDateTimeList()

#### getMySingleLocalDateTimeSet

    public Set<LocalDateTime> getMySingleLocalDateTimeSet()

#### getMyOffsetDateTimeArray

    public OffsetDateTime[] getMyOffsetDateTimeArray()

#### getMyOffsetDateTimeList

    public List<OffsetDateTime> getMyOffsetDateTimeList()

#### getMyOffsetDateTimeSet

    public Set<OffsetDateTime> getMyOffsetDateTimeSet()

#### getMySingleOffsetDateTimeArray

    public OffsetDateTime[] getMySingleOffsetDateTimeArray()

#### getMySingleOffsetDateTimeList

    public List<OffsetDateTime> getMySingleOffsetDateTimeList()

#### getMySingleOffsetDateTimeSet

    public Set<OffsetDateTime> getMySingleOffsetDateTimeSet()

#### getMyOffsetTimeArray

    public OffsetTime[] getMyOffsetTimeArray()

#### getMyOffsetTimeList

    public List<OffsetTime> getMyOffsetTimeList()

#### getMyOffsetTimeSet

    public Set<OffsetTime> getMyOffsetTimeSet()

#### getMySingleOffsetTimeArray

    public OffsetTime[] getMySingleOffsetTimeArray()

#### getMySingleOffsetTimeList

    public List<OffsetTime> getMySingleOffsetTimeList()

#### getMySingleOffsetTimeSet

    public Set<OffsetTime> getMySingleOffsetTimeSet()

#### getMyInstantArray

    public Instant[] getMyInstantArray()

#### getMyInstantList

    public List<Instant> getMyInstantList()

#### getMyInstantSet

    public Set<Instant> getMyInstantSet()

#### getMySingleInstantArray

    public Instant[] getMySingleInstantArray()

#### getMySingleInstantList

    public List<Instant> getMySingleInstantList()

#### getMySingleInstantSet

    public Set<Instant> getMySingleInstantSet()

#### getMyUrlArray

    public URL[] getMyUrlArray()

#### getMyUrlList

    public List<URL> getMyUrlList()

#### getMyUrlSet

    public Set<URL> getMyUrlSet()

#### getMySingleUrlArray

    public URL[] getMySingleUrlArray()

#### getMySingleUrlList

    public List<URL> getMySingleUrlList()

#### getMySingleUrlSet

    public Set<URL> getMySingleUrlSet()

#### getMyUriArray

    public URI[] getMyUriArray()

#### getMyUriList

    public List<URI> getMyUriList()

#### getMyUriSet

    public Set<URI> getMyUriSet()

#### getMySingleUriArray

    public URI[] getMySingleUriArray()

#### getMySingleUriList

    public List<URI> getMySingleUriList()

#### getMySingleUriSet

    public Set<URI> getMySingleUriSet()

#### getMyPizzaArray

    public Pizza[] getMyPizzaArray()

#### getMyPizzaList

    public List<Pizza> getMyPizzaList()

#### getMyPizzaSet

    public Set<Pizza> getMyPizzaSet()

#### getMySinglePizzaArray

    public Pizza[] getMySinglePizzaArray()

#### getMySinglePizzaList

    public List<Pizza> getMySinglePizzaList()

#### getMySinglePizzaSet

    public Set<Pizza> getMySinglePizzaSet()